#!/bin/bash
PB=.
REGION=0/360/-60/60
PROJ=-Jm0.06
RED=255/0/0
BLUE=0/0/255
GREEN=0/255/0
MAGENTA=255/0/255
CYAN=0/255/255
MOREPS=-K
CONTINUEPS="-K -O"
ENDPS=-O
OUTFILE=$0.ps
X=-X2.8
Y=-Y3.6

#in following case indices don't have to be numerically consecutive
BTYPE[1]="Spreading"
BTYPE[2]="Transform"
BTYPE[3]="Convergent"
BTYPE[4]="Subduction"
BCOLOR[1]="red"
BCOLOR[2]="green"
BCOLOR[3]="blue"
BCOLOR[4]"purple"

fn=0
for ((cnt=0; cnt<=3; cnt++))
do
files=`ls $PB/*${BTYPE[${cnt}]}*gmt`
for file in $files
do
fname[++fn]=$file
fcolor[fn]=${cnt}
done
done

pscoast -R$REGION $PROJ -G200 -B30g15 -W1 $MOREPS $X $Y -Dh -U > $OUTFILE

for ((cnt=1; cnt<=$fn; cnt++))
do
color=${BCOLOR[${fcolor[${cnt}]}]}
echo file num $cnt, name ${fname[${cnt}]}, has color $color
psxy -R$REGION $PROJ -M$ -W3/${BCOLOR[${fcolor[${cnt}]}]} $CONTINUEPS -V ${fname[${cnt}]} >> $OUTFILE
done

echo showpage >> $OUTFILE
